%define ext_guid 'calendartweaks@DW-dev'


Name: thunderbird-calendar-tweaks
License: MPL
Group: Applications/Internet
Summary: Lightning Calendar Extension for Thunderbird
Version: 3.1
Release: 2%{?dist}
URL: https://addons.mozilla.org/en-US/thunderbird/addon/14384/
#ftp://ftp.mozilla.org/pub/addons/14384/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: calendar_tweaks-%{version}-tb.xpi
Source100: mozilla-extension-update.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip
Requires: thunderbird-lightning >= 1.2
AutoReqProv: No
# or rpm will scream about libxpcom_*.so

%description
Allows several tweaks to the Thunderbird/Lightning calendar user interface including new selection styles and repeating event icons. Mimics the colors and styles found in MS Outlook.

%define update_thunderbird \\\
  %{_libdir}/%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/%{name} --action

%post
%{update_thunderbird} install ||:

%preun
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -- thunderbird
%{update_thunderbird} install ||:

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/%{name}/*

%build

%install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/%{name} %{SOURCE0}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/%{name}/mozilla-extension-update.sh

%changelog
* Fri Feb 24 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 3.1
- initial release

